Subject: bug#21761: closed (Re: bug#21761: Not listing partitions and drive)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Dec 2015 01:42:02 +0000

Your bug report

#21761: Not listing partitions and drive

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21761: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21761
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21761: Not listing partitions and drive
From: Phillip Susi <[email-masked]>
To: [email-masked]
Date: Tue, 1 Dec 2015 20:40:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

You are using an ancient version of parted and this has been fixed
some time ago; please upgrade.  As for what is happening: you had
partitioned the drive using GPT and put an EFI system partition on it
so it could boot.  The camera does not recognize gpt and so replaced
the MBR with a DOS partition table, but the GPT structures ( primary
and backup ) are still present, which this old version of parted is
still recognizing and using.  Newer versions of parted note the
conflict and prompt you to either wipe out the GPT data and keep the
DOS partition table, or wipe out the DOS partition table and repair
the GPT.

On 10/26/2015 06:25 AM, Egils Riekstiņš wrote:
> 
> Hi, mad props for effort in making parted!
> 
> Love the GPT support, but I ran in a problem where "parted -l"
> won't display par- titions of a mauled parttable||FAT (don't know
> yet).
> 
> Problem is with contents of a CF memory card that I had partitioned
> to msdos previously in fdisk. I placed the start point of the first
> (and only) partition at 8192 sectors from the phisical beggining of
> memcard but the camera didn't like my idea, so it asked to
> reformat. So I did. After a photo shoot when trying to upload
> photos to winPC noticed that CF card is not recognized and is
> asked to be reformatted again (but I'd loose all data). So after
> re-boot in Linux I tried to "parted -l" as one of the steps of
> understanding what happened, but it went silent on this part. In
> the end it seems that camera had overwritten either part-table or
> FAT with image data because now partition started at 4096s not as 
> previously. Note that sde5 in fdisk starts way out of the disk so I
> guess parted filters out unreasonable partitions and drives. Not a
> major error, I know, but just letting you guys know it can happen.
> 
> Have a good day!
> 

Subject: Not listing partitions and drive
From: "Egils Riekstiņš" <[email-masked]>
To: [email-masked]
Date: Mon, 26 Oct 2015 12:25:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, mad props for effort in making parted!

Love the GPT support, but I ran in a problem where "parted -l" won't display par-
titions of a mauled parttable||FAT (don't know yet).

Problem is with contents of a CF memory card that I had partitioned to msdos
previously in fdisk. I placed the start point of the first (and only) partition
at 8192 sectors from the phisical beggining of memcard but the camera didn't
like my idea, so it asked to reformat. So I did. After a photo shoot when trying
to upload photos to winPC noticed that CF card is not recognized and is asked
to be reformatted again (but I'd loose all data). So after re-boot in Linux I
tried to "parted -l" as one of the steps of understanding what happened, but it
went silent on this part. In the end it seems that camera had overwritten either
part-table or FAT with image data because now partition started at 4096s not as
previously. Note that sde5 in fdisk starts way out of the disk so I guess parted
filters out unreasonable partitions and drives.
Not a major error, I know, but just letting you guys know it can happen.

Have a good day!